# OfxAccountContainer Class Reference

Inheritance diagram for OfxAccountContainer:

## Detailed Description

Represents a bank account or a credit card account.

Can be built from either a <BANKACCTFROM> or <CCACCTFROM> OFX SGML entity

Definition at line 151 of file ofx_containers.hh.

## Public Member Functions

| OfxAccountContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
| ~OfxAccountContainer ()
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
int | add_to_main_tree ()
| Add this container to the main tree.
virtual int | gen_event ()
| Generate libofx.h events.
| OfxAccountContainer (LibofxContext *p_libofx_context, OfxGenericContainer *para_parentcontainer, string para_tag_identifier)
void | add_attribute (const string identifier, const string value)
| Add data to a container object.
int | add_to_main_tree ()
| Add this container to the main tree.
virtual int | gen_event ()
| Generate libofx.h events.

## Data Fields

OfxAccountData | data

## Member Function Documentation

void OfxAccountContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

void OfxAccountContainer::add_attribute | ( | const string | identifier,
|  | const string | value |
| ) |  |  | `[virtual]`

Add data to a container object.

Must be called once completed parsing an OFX SGML data element. The parent container should know what to do with it.

Parameters:

  | identifier | The name of the data element
  | value | The concatenated string of the data

Reimplemented from OfxGenericContainer.

Definition at line 74 of file ofx_container_account.cpp.

int OfxAccountContainer::add_to_main_tree | ( |  | ) | `[virtual]`

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns:
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

int OfxAccountContainer::add_to_main_tree | ( |  | ) | `[virtual]`

Add this container to the main tree.

add_to_main_treegen_event will add the container to the main trees stored int the OfxMainContainer.

Returns:
  true if successfull, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 133 of file ofx_container_account.cpp.

virtual int OfxAccountContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

int OfxAccountContainer::gen_event | ( |  | ) | `[virtual]`

Generate libofx.h events.

gen_event will call the appropriate ofx_proc_XXX_cb defined in libofx.h if one is available.

Returns:
  true if a callback function vas called, false otherwise.

Reimplemented from OfxGenericContainer.

Definition at line 127 of file ofx_container_account.cpp.

The documentation for this class was generated from the following files:

- ofx_containers.hh
- fx-0.8.2/lib/ofx_containers.hh
- ofx_container_account.cpp
- fx-0.8.2/lib/ofx_container_account.cpp